Subject: Re: [clue] Encoding groups - Review of framework-03

From: "Duckworth, Mark" <[email-masked]>
Date: Mon, 27 Feb 2012 14:31:59 -0800

Hi Roni,
Comments inline.
Mark
========================================
From: [email-masked] [mailto:[email-masked]] On Behalf Of Roni Even
Sent: Wednesday, February 08, 2012 8:49 AM
To: [email-masked]
Subject: [clue] Review of draft-ietf-clue-framework-03

18. Figure 1 in section 7.2 is not clear, what is the relation of the proposed encoding groups to the media captures.

[Duckworth, Mark] Section 8 explains that relationship.  Figure 1 is not supposed to show the relationship.  I hope the relationship will be more clear from the data model, which I think will be a different document.

19. The last sentence in 7.2 "There is no requirement for all encodings within an encoding group to be instantiated at once" is not clear to me with respect to the rest of the section.

[Duckworth, Mark] The consumer chooses an individual encoding to use for any stream it wants to receive from a media capture.  If the provider advertises the availability of more individual encodings than what the consumer wants to receive, then there is no problem, some of them will not be used.

20. In section 8 "Every media capture is associated with an encoding group" is it a media capture or a capture set entry?

[Duckworth, Mark] It is a media capture.  A capture set entry can contain multiple media captures.  Each media capture can use a different encoding group.

21. I read section 8 and most of it is not clear. The last sentence is the only sentence that is needed.

[Duckworth, Mark] I think most of this information in section 8 is needed.  If you read section 9 and then go back and read section 8 again does it become more clear?  If not, can you ask more specific questions to help us clarify it?
Maybe these sections about encoding groups can be clarified (or changed) after we make more progress on knowing how SDP m-lines will be used with CLUE.  

Mark